Mail archive
alpine-aports

[alpine-aports] [PATCH 4/9] testing/py-lz4: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 23:23:04 +0000

closes https://bugs.alpinelinux.org/issues/5480

---
 testing/py-lz4/01-system_lz4.patch | 36 ++++++++++++++++++++++++++++++++++
 testing/py-lz4/02-tests.patch      | 24 +++++++++++++++++++++++
 testing/py-lz4/APKBUILD            | 40 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 100 insertions(+)
 create mode 100644 testing/py-lz4/01-system_lz4.patch
 create mode 100644 testing/py-lz4/02-tests.patch
 create mode 100644 testing/py-lz4/APKBUILD
diff --git a/testing/py-lz4/01-system_lz4.patch b/testing/py-lz4/01-system_lz4.patch
new file mode 100644
index 0000000..62a9c9d
--- /dev/null
+++ b/testing/py-lz4/01-system_lz4.patch
_at_@ -0,0 +1,36 @@
+Last-Update: 2014-08-10
+Forwarded: not-needed
+Author: Dmitry Smirnov <onlyjob_at_member.fsf.org>
+Description: un-bundle liblz4 and link to the system one
+
+--- a/setup.py
++++ b/setup.py
+_at_@ -16,11 +16,11 @@
+     packages=find_packages('src'),
+     package_dir={'': 'src'},
+     ext_modules=[
+         Extension('lz4', [
+-            'src/lz4.c',
+-            'src/lz4hc.c',
+             'src/python-lz4.c'
++        ], libraries=[
++            "lz4",
+         ], extra_compile_args=[
+             "-std=c99",
+             "-O3",
+             "-Wall",
+--- a/src/python-lz4.c
++++ b/src/python-lz4.c
+_at_@ -32,10 +32,10 @@
+ #include <Python.h>
+ #include <stdlib.h>
+ #include <stdint.h>
+ #include <math.h>
+-#include "lz4.h"
+-#include "lz4hc.h"
++#include <lz4.h>
++#include <lz4hc.h>
+ #include "python-lz4.h"
+ 
+ #define MAX(a, b)               ((a) > (b) ? (a) : (b))
+
diff --git a/testing/py-lz4/02-tests.patch b/testing/py-lz4/02-tests.patch
new file mode 100644
index 0000000..dc1cb06
--- /dev/null
+++ b/testing/py-lz4/02-tests.patch
_at_@ -0,0 +1,24 @@
+Last-Update: 2014-08-10
+Origin: https://github.com/steeve/python-lz4/blob/master/tests/test.py
+Forwarded: not-needed
+Author: Dmitry Smirnov <onlyjob_at_member.fsf.org>
+Description: add basic test
+
+--- /dev/null
++++ b/tests/test.py
+_at_@ -0,0 +1,15 @@
++import lz4
++import sys
++
++
++import unittest
++import os
++
++class TestLZ4(unittest.TestCase):
++
++    def test_random(self):
++        DATA = os.urandom(128 * 1024) # Read 128kb
++        self.assertEqual(DATA, lz4.loads(lz4.dumps(DATA)))
++
++if __name__ == '__main__':
++    unittest.main()
diff --git a/testing/py-lz4/APKBUILD b/testing/py-lz4/APKBUILD
new file mode 100644
index 0000000..725a5c6
--- /dev/null
+++ b/testing/py-lz4/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=py-lz4
+pkgver=0.7.0
+_pkgreal=${pkgname#py-}
+pkgrel=0
+pkgdesc="LZ4 Bindings for Python"
+url="https://pypi.python.org/pypi/lz4"
+arch="all"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools lz4-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/l/lz4/lz4-$pkgver.tar.gz
+	01-system_lz4.patch
+	02-tests.patch
+	"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e32842a49d5254f6918567197a704492  lz4-0.7.0.tar.gz
+fda5c197a766d61d0b1ffcaaf54552e3  01-system_lz4.patch
+cba5b0e90428e8451ddbc6f3ba480fbe  02-tests.patch"
+sha256sums="cd225744298568fd217577fc14a326a24835412374dadb5060db48f1af43eb48  lz4-0.7.0.tar.gz
+b6efbab93b4bbf69c5de40a61993a8ca332a4115e87448ad51907efd74bd5bbb  01-system_lz4.patch
+f0573be2656fcad5afdb7ecb25d7ce939505cfcfc2c9ad9d9bde21c9af3151fe  02-tests.patch"
+sha512sums="fd7adc4919e70259e5b23b15919c4932354a4518360315a8d6c15c58cdccf21257fb6069bdf20e86a2461f254b50f4abd7296330fd77647ecc2ca49500eedd11  lz4-0.7.0.tar.gz
+8e30ebe4b0074195f66c9f174006b7730a2a172f76d863ad4dbf0c282f8dc342ecc6e33bf0e1f691bbdace9ef6a13969a3271f39fe8bdbe2f4234397ca1fc0b8  01-system_lz4.patch
+68e84522478af8bdf741b45cdc4b4b4367fd7831452c8f0e5b127f58cc26e698e83931dc43d3016e2714d7497de7f6c112c720e379ce5c411b2f67e89b298ed8  02-tests.patch"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 23:23:04 GMT